# Class CSSPropertyFontDefinitionHandler

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.AbstractCSSPropertyCompositeHandler
org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyFontCompositeHandler
org.eclipse.e4.ui.css.core.dom.properties.css2.AbstractCSSPropertyFontHandler
org.eclipse.e4.ui.css.swt.properties.definition.CSSPropertyFontDefinitionHandler

All Implemented Interfaces:
  `ICSSPropertyFontHandler, ICSSPropertyCompositeHandler, ICSSPropertyHandler`

public class CSSPropertyFontDefinitionHandler extends AbstractCSSPropertyFontHandler

## Constructor Summary

Constructors
Constructor
Description
`CSSPropertyFontDefinitionHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).
`String`
`retrieveCSSProperty(Object element, String property, String pseudo, CSSEngine engine)`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the `element` (ex : Swing Component, SWT Widget).
`String`
`retrieveCSSPropertyFontAdjust(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontFamily(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontSize(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontStretch(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontStyle(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontVariant(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFontWeight(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from class AbstractCSSPropertyFontHandler

`applyCSSPropertyFont, applyCSSPropertyFontFamily, applyCSSPropertyFontFamily, applyCSSPropertyFontSize, applyCSSPropertyFontSize, applyCSSPropertyFontSizeAdjust, applyCSSPropertyFontStretch, applyCSSPropertyFontStyle, applyCSSPropertyFontStyle, applyCSSPropertyFontVariant, applyCSSPropertyFontWeight, applyCSSPropertyFontWeight`

### Methods inherited from class AbstractCSSPropertyFontCompositeHandler

`applyCSSProperty, getCSSPropertiesNames, isCSSPropertyComposite`

### Methods inherited from class AbstractCSSPropertyCompositeHandler

`applyCSSPropertyComposite`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ICSSPropertyHandler

`onAllCSSPropertiesApplied, onAllCSSPropertiesApplied`

## Constructor Details

### CSSPropertyFontDefinitionHandler

public CSSPropertyFontDefinitionHandler()

## Method Details

### applyCSSProperty

public boolean applyCSSProperty(Object element, String property, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyHandler`
Apply CSS Property `property` (ex : background-color) with CSSValue `value` (ex : red) into the `element` (ex : Swing Component, SWT Widget).

Specified by:
  `applyCSSProperty` in interface `ICSSPropertyHandler`
Overrides:
  `applyCSSProperty` in class `AbstractCSSPropertyFontHandler`
Parameters:
  `element` - Swing Component, SWT Widget...
  `property` - CSS Property
  `value` - CSS value
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  weather CSS property was applied or not
Throws:
  `Exception` - if applying CSS failed

### retrieveCSSProperty

public String retrieveCSSProperty(Object element, String property, String pseudo, CSSEngine engine) throws Exception
Description copied from interface: `ICSSPropertyHandler`
Retrieve CSS value (ex : red) of CSS Property `property` (ex : background-color) from the `element` (ex : Swing Component, SWT Widget).

Specified by:
  `retrieveCSSProperty` in interface `ICSSPropertyHandler`
Overrides:
  `retrieveCSSProperty` in class `AbstractCSSPropertyFontHandler`
Parameters:
  `element` - Swing Component, SWT Widget...
  `property` - CSS Property
  `pseudo` - the pseudo class to use, or `null` if none is required
  `engine` - CSS Engine
Returns:
  retrieved CSS properties or `null`
Throws:
  `Exception` - if retrieving CSS failed

### retrieveCSSPropertyFontFamily

public String retrieveCSSPropertyFontFamily(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontSize

public String retrieveCSSPropertyFontSize(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontAdjust

public String retrieveCSSPropertyFontAdjust(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontStretch

public String retrieveCSSPropertyFontStretch(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontStyle

public String retrieveCSSPropertyFontStyle(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontVariant

public String retrieveCSSPropertyFontVariant(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFontWeight

public String retrieveCSSPropertyFontWeight(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`